"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const log = require("./log");
const mqtt = require("./mqttdispatcher");
const plugintest1 = require("./plugintest1");
log.info("Dispatcher starting");
exports.dispatcher = new mqtt.MqttDispatcher();
exports.dispatcher.register('IoT/test', 'print1', (message) => {
    log.info("Callback for IoT/test");
    log.info(`message is ${message}`);
    return `<<${message}>>`;
});
exports.dispatcher.register('IoT/test', 'print2', (message) => {
    log.info("Callback for IoT/test");
    log.info(`message is ${message}`);
    return `<<${message}>>`;
});
exports.dispatcher.register('IoT/test', 'null1', mqtt.passThrough);
exports.dispatcher.register('IoT/test', 'null2', mqtt.passThrough);
plugintest1.pluginTest1Start(exports.dispatcher);
exports.dispatcher.exec();
log.info("Dispatcher running");
//# sourceMappingURL=main.js.map