import * as log from './log'
import * as mqtt from './mqttdispatcher'
import * as callchain from './callchain'
import * as plugintest1 from './plugintest1'


log.info("Dispatcher starting")
export const dispatcher = new mqtt.MqttDispatcher()
dispatcher.register('IoT/test', 'print1', (message: any) : any => {
    log.info("Callback for IoT/test")
    log.info(`message is ${message}`)
    return `<<${message}>>`
})
dispatcher.register('IoT/test', 'print2', (message: any) : any => {
    log.info("Callback for IoT/test")
    log.info(`message is ${message}`)
    return `<<${message}>>`
})
dispatcher.register('IoT/test', 'null1', mqtt.passThrough)
dispatcher.register('IoT/test', 'null2', mqtt.passThrough)

plugintest1.pluginTest1Start(dispatcher)

dispatcher.exec()
log.info("Dispatcher running")






